
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>套接字工厂——ServerSocketFactory / iVAN</title>

    <meta name="description" content="套接字工厂——ServerSocketFactory 接收器Acceptor在接收连接的过程中,根据不同的使用场合可能需要不同的安全级别,例如在支付相关的交易就必须对信息加密后再发送,这其中还涉及到密钥协商的过程,而在另外一些普通场合则无需对报文加密.反应到应用层则是使用http与https的问题,具体跟http/https相关的一些知识请到前面相关章节温习. 看一张跟https协议的组成层次图,它在应用层添加了一个TLS\SSL协议,于是组成了https协议.简单讲TLS\SSL协议给每次通信①提供认证服务,认证本次会话实体身份的合法性.②提供加">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">套接字工厂——ServerSocketFactory</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>接收器Acceptor在接收连接的过程中，根据不同的使用场合可能需要不同的安全级别，例如在支付相关的交易就必须对信息加密后再发送，这其中还涉及到密钥协商的过程，而在另外一些普通场合则无需对报文加密。反应到应用层则是使用http与https的问题，具体跟http/https相关的一些知识请到前面相关章节温习。</p>
<p>看一张跟https协议的组成层次图，它在应用层添加了一个TLS\SSL协议，于是组成了https协议。简单讲TLS\SSL协议给每次通信①提供认证服务，认证本次会话实体身份的合法性。②提供加密服务，强加密机制能保证通信过程中的消息不会被破译。③提供防篡改服务，利用Hash算法对消息进行签名，通过验证签名保证通信内容不被篡改。Java为开发者提供了方便的手段实现TLS\SSL协议，这就是安全套接字，它是Socket的安全升级版。Tomcat作为web服务器必须要实现对两种协议的支持，在java语言中，http协议对应Socket，而https则对应SSLScoket，在程序里根据不同的协议产生不同的套接字，于是引入了工厂模式处理套接字的相关操作，这个便是ServerSocketFactory工厂类。再一个由于不同厂商可自己定制SSL的实现，所以在具体程序实现时还有一些关于SSL实现的相关类，这些在前面的“Tomcat中的ssl安全信道的实现”章节有很详细的说明，可移步前往重新查阅。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAyMTYxOTE2NDA3NTI/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZDJGdVozbGhibWQ2YUdsNmFHOTEvZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9Tb3V0aEVhc3Q=.jpg"></p>
<p>ServerSocketFactory作为tomcat一个重要的组件，先看看它的运行逻辑是怎样的。首先说明下Tomcat中有两个工厂类DefaultServerSocketFactory和JSSESocketFactory，它们都实现了ServerSocketFactory接口，分别对应http协议套接字通道与https协议套接字通道。根据实际需求，假如机器的某端口使用加密通道则由JSSESocketFactory作为套接字工厂，反之则使用DefaultServerSocketFactory作为套接字工厂，于是tomcat中存在一个变量SSLEnabled用于标识是否使用加密通道，通过对此变量的定义就可以决定使用哪个工厂类，tomcat提供了外部配置文件供开发者和运维人员自定义。</p>
<p>实际上我们通过对server.xml进行配置就可以定义某个端口开放并是否使用安全通道，例如，</p>
<p>①   http协议对应的非安全通道</p>
<p>…</p>
<p>&lt;service&gt;</p>
<p>&lt;Connector executor="tomcatThreadPool"port="8080" protocol="HTTP/1.1" connectionTimeout="20000"redirectPort="8443" /&gt;</p>
<p>&lt;/service&gt;</p>
<p>…</p>
<p>②    https协议对应的安全通道</p>
<p>…</p>
<p>&lt;service&gt;</p>
<p>&lt;Connector port="8443"protocol="HTTP/1.1" <strong>SSLEnabled="true"</strong>maxThreads="150" scheme="https" secure="true"clientAuth="false" sslProtocol="TLS" /&gt;</p>
<p>&lt;/service&gt;</p>
<p>…</p>
<p>第一种配置告诉tomcat开放8080端口并使用http1.1协议进行非安全通信。第二种配置告诉tomcat开放8443端口并使用http1.1协议进行安全通信，其中安全协议是使用TLS协议。需要很注意的是加红加粗字体的SSLEnabled=”true”，此变量值会在tomcat启动初始化时读入自身程序中，运行时也正是通过此变量判断使用哪个套接字工厂，DefaultServerSocketFactory还是JSSESocketFactory。</p>
<p>    把ServerSocketFactory工厂组件引入后整个结构图变为如下：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAyMTYxOTIwMzk2MDQ/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZDJGdVozbGhibWQ2YUdsNmFHOTEvZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9Tb3V0aEVhc3Q=.jpg"></p>
<p><a href="https://item.jd.com/12185360.html" rel="external nofollow noreferrer">点击订购作者《Tomcat内核设计剖析》</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-20 02:03:23</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8a%a0%e5%af%86/" title="加密">加密</a>, <a href="https://www.iamivan.net/tag/https/" title="HTTPS">HTTPS</a>, <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/socket/" title="socket">socket</a>, <a href="https://www.iamivan.net/tag/tomcat/" title="tomcat">tomcat</a>, <a href="https://www.iamivan.net/tag/service/" title="service">service</a>, <a href="https://www.iamivan.net/tag/ssl/" title="ssl">ssl</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>套接字工厂——ServerSocketFactory的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRNlPqM.html" rel="bookmark">《HttpClient官方文档》2&period;7 连接套接字工厂</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.7. Socket连接工厂 HTTP连接在内部使用java.net.Socket类的对象来处理数据在线路上的传输. 然而,他们依靠 ConnectionSocketFactory接口来创建,初始化和连接Socket.HttpClient的使用者能够在运行时,提供应用程序特定的Socket初始化代码.PlainConnectionSocketFactory类是创建和初始化普通(未加密)套接字的默认工厂类. 创建一个套接字和连接到主机的过程是解耦的,以便连接操作被阻塞的时候套接字能够被关闭 Ht			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW2rBEb.html" rel="bookmark">实现非阻塞套接字的一种简单方法 使用 JSSE 和 NIO 实现非阻塞通信的一种快速方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介: 尽管 SSL 阻塞操作――当读写数据的时候套接字的访问被阻塞――与对应的非阻塞方式相比提供了更好的 I/O 错误通知,但是非阻塞操作允许调用的线程继续运行.本文中,作者同时就客户端和服务器端描述了如何使用Java Secure Socket Extensions (JSSE) 和 Java NIO (新 I/O)库创建非阻塞的安全连接,并且介绍了创建非阻塞套接字的传统方法,以及使用JSSE 和 NIO 的一种可选的(必需的)方法. 阻塞,还是非阻塞?这就是问题所在.无论在程序员的头脑中多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9ze7rwM.html" rel="bookmark">socket-RUBY编写的套接字文件格式约定根据什么确定？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 RUBY编写的套接字文件格式约定根据什么确定? 各位大神,本人小白一个,我就想弱弱的问问用ruby编写的sockets文件怎么约定格式?比如,帧头,数据,功能号,结束符都依据什么信息而来?在线等,急急急!!! 解决方案 这个根据协议决定,没有什么规定.你要和对方协商.如果你要实现标准的协议,比如tcp,http,那么才需要按照约定来.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0NoDz.html" rel="bookmark">Python中利用原始套接字进行网络编程的示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python中利用原始套接字进行网络编程的示例,使用sock_raw接受和发送数据包可以避开网络协议的诸多限制,需要的朋友可以参考下 在实验中需要自己构造单独的HTTP数据报文,而使用SOCK_STREAM进行发送数据包,需要进行完整的TCP交互. 因此想使用原始套接字进行编程,直接构造数据包,并在IP层进行发送,即采用SOCK_RAW进行数据发送. 使用SOCK_RAW的优势是,可以对数据包进行完整的修改,可以处理IP层上的所有数据包,对各字段进行修改,而不受UDP和TC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQadQb.html" rel="bookmark">使用异步Servlet扩展AJAX应用程序--多路复用客户端套接字</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为Web应用程序模型的AJAX的出现使服务器端的面貌发生了巨大的变化.用户对着Web页面填写表单并单击提交按钮转到下一个链接的典型Web使用模式现在正在转变为更先进的客户端JavaScript以及功能更丰富的用户界面,只要对表单进行操作,比如单击一个复选框.按下一个键或将鼠标移到一个选项卡上,该用户界面就会不断地与服务器交互. 考虑一下从客户端传输到服务器的数据量有多大.从可用性的角度来看,用户在一个薄客户端浏览器上获得了富用户界面,无需安装任何东西.但是,当在服务器端扩展这些应用程序时就要付			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pL2Pab.html" rel="bookmark">PHP套接字编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程 作者:久隆信息/张晓刚 套接字编程,一般使用c或c++.特别的在web应用程序开发中,常用perl实现套接字.除此以外,用php进行套接字编程也是一个选择.Php可以胜任吗?当然可以.Php是一门高质量的web应用程序开发语言,他的许多特性可以处理众多的任务,网络编程也不例外. 1. 理解套接字 Mail.ftp.telnet.name和finger这些服务都是在一个专用的公开的端口上提供的,通过连接到这些端口,客户程序就能够访问这些服务.这与现实生活是相似的--当需要干洗衣服的时候,找干			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQnmrM.html" rel="bookmark">Java套接字编程&lpar;上&rpar;&lpar;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程 ServerSocket类 由于SSClient使用了流套接字,所以服务程序也要使用流套接字.这就要创建一个ServerSocket对象,ServerSocket有几个构造函数,最简单的是ServerSocket(int port),当使用ServerSocket(int port)创建一个ServerSocket对象,port参数传递端口号,这个端口就是服务器监听连接请求的端口,如果在这时出现错误将抛出IOException异常对象,否则将创建ServerSocket对象并开始准备接收连			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlyv8p.html" rel="bookmark">利用套接字机制实现Flash与数据库连接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据|数据库|数据库连接 无论对于Java开发者还是.NET开发者来说,在Flash中创建一个数据库连接都不是件简单的事情.由于解决这一问题需要费不少的周折,所以本文中我们通过建立一个XMLSocket类来帮助实现这一技术. 一. 简介 对于一位具有传统型客户-服务器背景的开发人员来说,转入到ActionScript开发并把Flash连接到一个数据库肯定需要费不少的周折.在.NET或Java世界中,通过直接从应用程序中调用数据库,你仅需要打开一个到数据库的连接并且执行数据库操作即可:而在Flas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqKLRz.html" rel="bookmark">实现基于事件通知的&period;Net套接字</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				以前学过MFC,我用过的它里面的包装Winsock的两个类CSocket和CAsyncSocket,我一直觉得它哪个事件通知的功能比较不错,特别是在连接的两方收发数据没有一定的规律的时候比较有用,虽然不用它的事件通知也可以实现功能,但是你需要循环检测套接字的状态或者阻塞等待,如果每次都要做这些琐碎的工作岂不是很麻烦,于是我就想对这些功能作一次封装.当然在.net里面采用delegate和event是最好的选择了.下面就是我实现的一些细节: 先讲一下思路:其实这个还是很简单了,估计高手们会不屑一顾			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5Wnqb.html" rel="bookmark" class="title">html5 js实现浏览器全屏</a>
					<div>
						项目中需要将后台浏览器的窗口全屏,也就是我们点击一个按钮要实现按F11全屏的效果. 在HTML5中,W3C制定了关于全屏的API,就可以实现全屏幕的效果,也可以让页面中的图片,视频等全屏目前只有goo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbav4QM.html" rel="bookmark" class="title">undefined function&colon; &lbrack;php&rsqb; Call to undefined function bccomp</a>
					<div>
						Try yum install php-bcmath. If you still can't find anything, try yum search bcmath to find the pack ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4aLJb.html" rel="bookmark" class="title">宽带限时 将会对你有何影响？</a>
					<div>
						目前嘉兴电信已经实施了宽带包月限时制度,包月用户每天上网时限为8小时,超出部分按2分钱/每分钟收取.另外,浙江台州.江苏苏州也相继推出了类似措施,并将不久在全国推广. 按照电信说法,此项政策有利于网民 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgl41p.html" rel="bookmark" class="title">站长工具查询时有关&OpenCurlyDoubleQuote;链接&rdquo;的一些问题</a>
					<div>
						今天在一个新手QQ群里聊天的时候,发现有很多人在使用站长工具的时候有很多的疑问.最多的就是反链和外链到底有什么区别,还有就是有关某个域名的的页面会比查询的反链要多出很多结果!等等,我就这些问题整理了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaPGXz.html" rel="bookmark" class="title">一个非常实用的Base64类</a>
					<div>
						using System; namespace SClassLibrary.SEncoding{ /// &lt;summary&gt; /// 有关base64编码算法的相关操作 /// 作者:尹曙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY258ep.html" rel="bookmark" class="title">删除Windows 2000专业版的&OpenCurlyDoubleQuote;笨&rdquo;方法</a>
					<div>
						微软推出Windows 2000 professional(下面简称WIN2000)简体中文正式版后,喜新厌旧的我很快弄到一张安装盘将其装进我那台&quot;老奔&quot;中,后来实在忍受不了如蜗牛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jNE9b.html" rel="bookmark" class="title">云计算中的Stream</a>
					<div>
						云计算中的Stream-stream云计算&quot;&gt;曾经创造了半条命(Half-Life),反恐精英(Counter-Strike),胜利之日(Day of Defeat),军团要塞(Tea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwQ65z.html" rel="bookmark" class="title">PS图层样式制作黄金字效果</a>
					<div>
						教程主要是通过调整图层样式来制作黄金字效果,制作的时候为了效果突出背景最后选择比较暗的色调. 最终效果 1.新建一个600px * 500px的文件,新建一个图层,双击图层调花簇出图层样式,选择渐变叠 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBrdyb.html" rel="bookmark" class="title">Excel2007怎么使用smartArt绘制循环图&quest;</a>
					<div>
						  Excel2007怎么使用smartArt绘制循环图?           1.打开Excel 2007这款软件,进入Excel 2007的操作界面,如图所示: 2.在这个界面上面的菜单区找到插入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balPmXz.html" rel="bookmark" class="title">&rdquo;Your browser sent a request that this server could not understand&OpenCurlyDoubleQuote;什么意思</a>
					<div>
						  错误的请求,您的浏览器发送一个请求,该服务器无法理解. 一个请求头域的大小超过服务器的限制. 简单来说,这是服务器内部错误,你可以换个网站访问 这句话大概是说:你的浏览器向未知服务器发送了一个请求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8N0mp.html" rel="bookmark" class="title">WPS 2007&colon;让公式中的文字变个颜色</a>
					<div>
						  金山文字2007自从添加公式编辑器的功能之后,使我们的公式输入问题得以轻松解决.不过,在实际工作中,有时我们会需要设置公式的颜色更加醒目突出,而默认的黑色就会显得力不从心.怎样才能设置公式的颜色不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa2m0z.html" rel="bookmark" class="title">win8系统快速恢复被删文件办法</a>
					<div>
						  方法一: 如果错误操作删除文件马上发现可以使用撤销快捷键[Ctrl+Z]将文件恢复.   方法二: 1.加入你错误的将图片1.jpg删除,因为图片文件都有限,不会太大,删除之后都会进入回收站!右击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6O46M.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;机器人＋安防&rdquo;概念兴起 产业发展将向何方？</a>
					<div>
						&quot;纵观国内2016整个机器人消费市场,只是一场资本与创业者的狂欢,同质化泡沫严重,且并没有出现一款真正意义上的成熟机器人产品.在资本的热情逐渐冷却后,产业发展的方向会走向何方? 整个2016 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBQ38M.html" rel="bookmark" class="title">网络谣言转发超500次 可构成诽谤罪</a>
					<div>
						1.网络谣言转发超500次 可构成诽谤罪 中国&quot;两高&quot;9日出台司法解释规定,&quot;同一诽谤信息实际被点击.浏览次数达到五千次以上,或者被转发次数达到五百次以上的&quot;, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBdZqb.html" rel="bookmark" class="title">IBM WebSphere Application Server V8&period;5设置和使用集中安装管理器</a>
					<div>
						本文介绍了如何在 http://www.aliyun.com/zixun/aggregation/13387.html&quot;&gt;WebSphere Application Server V8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB951b.html" rel="bookmark" class="title">c&num;调c&plus;&plus;dll，尝试读取或写入受保护的内存。这通常指示其他内存已损坏。</a>
					<div>
						问题描述 调用时尝试读取或写入受保护的内存.这通常指示其他内存已损坏.不知道是什么情况,网上好多都是c++Long对应c#int,但是我已经转了还是没用,这代码一开始时可以用的,我重装了win7系统后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB088b.html" rel="bookmark" class="title">高负载均衡学习haproxy之安装与配置</a>
					<div>
						一.haproxy介绍 以下开始介绍有关haproxy的原理及其优点. 1.1.haproxy原理 haproxy提供高可用性.负载均衡以及基于TCP(第四层)和HTTP(第七层)应用的代理,支持虚拟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEmJKM.html" rel="bookmark" class="title">JAVA&colon;File类的&amp;amp&semi;amp&semi;quot&semi;抽象路径名&amp;amp&semi;amp&semi;quot&semi;是指什么呢</a>
					<div>
						问题描述 File(String pathname) 通过将给定&quot;路径名字符串&quot;转换为&quot;抽象路径名&quot;来创建一个新 File 实例只知道绝对路径和相对路径...但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y7N3z.html" rel="bookmark" class="title">ie11-vb&period;net 中webBrowse默认运行IE7我通过注册表修改后无变化</a>
					<div>
						问题描述 vb.net 中webBrowse默认运行IE7我通过注册表修改后无变化 vb.net 中webBrowse默认运行IE7我通过注册表修改后无变化 我修改了注册表值[(HKEY_CURREN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ8mkp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;风车网&rdquo;CEO陈晓峰书写经验</a>
					<div>
						引子 去年4月份,因为种种原因,离开了干了4年的百度.当初也没有想过创业或者内部创业,正如许多百度技术出生的经理一样,厌倦了各种系统架构与协调配合,也厌倦了与一群PM合作,希望能够做点自己喜欢的事情. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR19nab.html" rel="bookmark" class="title">java基本教程之join方法详解 java多线程教程&lowbar;java</a>
					<div>
						本章涉及到的内容包括:1. join()介绍2. join()源码分析(基于JDK1.7.0_40)3. join()示例 1. join()介绍join() 定义在Thread.java中.join ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NjZ9p.html" rel="bookmark" class="title">Asp&period;net中的数据绑定Eval和Bind应用示例&lowbar;实用技巧</a>
					<div>
						关键字: Eval (单项绑定)单项的数据绑定一般用于数据展示.Eval数据绑定应用的反射原理来返回数据. Bind (双向绑定)双向的数据绑定除了展示数据,还要将界面数据的变动自动写回到绑定的数据源 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZDrWz.html" rel="bookmark" class="title">什么样的网站才受百度欢迎，不会被封</a>
					<div>
						给每个网页加上与正文相关的标题.如果是网站首页,则标题建议使用站点名称或者站点代表的公司/机构名称;其余内容页面,标题建议做成正文内容的提炼和概括.这可以让你的潜在用户快速的访问到你的页面. 请不要在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkQedM.html" rel="bookmark" class="title">关键词的选择和链接优化</a>
					<div>
						google就不多说了,做过seo的都知道google比百度要公正的多,而我们关心的正式占据着70%搜索市场的BT百度排名:洛克环 排名 第12目前还是不很理想,由于商务快车等自动发信息的软件的作用, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DDLjb.html" rel="bookmark" class="title">下列代码实现了equals和hasCode方法，但是set不能删除重复项，为什么？</a>
					<div>
						问题描述 package Conllection;import java.util.HashSet;import java.util.Set;public class TestSet {public  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK081aM.html" rel="bookmark" class="title">html-float问题，有点疑问，还没搞明白</a>
					<div>
						问题描述 float问题,有点疑问,还没搞明白 为什么这段代码将li的注释去掉效果会不一样... &lt;!DOCTYPE html&gt; &lt;br&gt; body, ul, li {&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrvyr1M.html" rel="bookmark" class="title">云计算出现虚拟网络服务</a>
					<div>
						如今谈到云计算,人们总是不会谈到http://www.aliyun.com/zixun/aggregation/13695.html&quot;&gt;IT基础设施的粒度控制.IT组织机构通常选择提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YjGLb.html" rel="bookmark" class="title">石化企业危险源管理与事故应急救援指挥系统</a>
					<div>
						1 系统需求分析 1.1 石油化工企业生产特点与危险分析 石油化学工业是以石油或天然气为原料,经过化工过程而制取各种石油化工产品的工业.石油化工在世界上发展的历史已经很久,早在第一次世界大战期间就有萌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdV7ep.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;10&period;7 结束语</a>
					<div>
						10.7 结束语 本文提出了智慧微能源网及智慧微能源网(群)的基本概念,设计了智慧微能源网(群)多指标自趋优分层能量管理体系,给出基于分布自治.集中协调的多指标自趋优运行框架以及工程博弈实现方法,并简 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3EyRgp.html" rel="bookmark" class="title">java和matlab混合编程</a>
					<div>
						问题描述 在myeclipse8.6中调用matlab7.6生成的.jar文件实现水印嵌入和提取的问题,为什么运行得到的figure窗口闪一下就没有了?哪位高手帮帮忙!!!					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
